Redmine - управление проектами (Apache)

Обсуждения, связанные со статьями.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение Raven2000 » 23 июн 2011, 21:57

пробовали так pkg_add -r rubygem-passenger
?
У вас какая версия апача ему нужно 22 можно конечно подпилить и до 20
http://www.google.ru/search?q=rubygem-p ... 66&bih=604
Если хочешь разобраться... Так иди и разбирайся!
[ igNix.ru | Технология жизни - технологии будущего ] [ Forum.igNix.ru ]
Аватара пользователя
Raven2000
-=_UNIX_=-
-=_UNIX_=-
 
Сообщения: 680
Зарегистрирован: 14 сен 2010, 13:08
Откуда: Там, где нас нет.
Благодарил (а): 1 раз.
Поблагодарили: 37 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение dmtr » 24 июн 2011, 11:21

Raven2000 писал(а):пробовали так pkg_add -r rubygem-passenger
?
У вас какая версия апача ему нужно 22 можно конечно подпилить и до 20
http://www.google.ru/search?q=rubygem-p ... 66&bih=604



pkg_add -r не пробовал. апач22.
мне программер подсказал что SEGV_MAPERR и пр. это что-то системное (просто не предсталю себе шо такое SEGV_MAPERR), похоже дело таки в том что фряха 6, она ж уже не поддерживается...

поставил на 8.2, работет :)
dmtr
Юзверь
 
Сообщения: 8
Зарегистрирован: 23 июн 2011, 13:25
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение Raven2000 » 24 июн 2011, 12:58

=) понятно это фича!
Если хочешь разобраться... Так иди и разбирайся!
[ igNix.ru | Технология жизни - технологии будущего ] [ Forum.igNix.ru ]
Аватара пользователя
Raven2000
-=_UNIX_=-
-=_UNIX_=-
 
Сообщения: 680
Зарегистрирован: 14 сен 2010, 13:08
Откуда: Там, где нас нет.
Благодарил (а): 1 раз.
Поблагодарили: 37 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение evglv » 18 авг 2011, 13:34

[color=#0040FF][/color]Огромное спасибо автору статьи! Успехов вам в дальнейшем!
evglv
 

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение Raven2000 » 18 авг 2011, 14:31

=)
Если хочешь разобраться... Так иди и разбирайся!
[ igNix.ru | Технология жизни - технологии будущего ] [ Forum.igNix.ru ]
Аватара пользователя
Raven2000
-=_UNIX_=-
-=_UNIX_=-
 
Сообщения: 680
Зарегистрирован: 14 сен 2010, 13:08
Откуда: Там, где нас нет.
Благодарил (а): 1 раз.
Поблагодарили: 37 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 22 апр 2012, 15:37

Код: Выделить всё
cd /usr/ports/www/redmine && make install clean
===>  redmine-1.3.1 is marked as broken: Does not work with RubyGems 1.8.
*** Error code 1

Stop in /usr/ports/www/redmine.

я так понял что но не хочет работать с "RubyGems 1.8."

Код: Выделить всё
pkg_info|grep -i ruby

ruby-1.8.7.358,1    An object-oriented interpreted scripting language
ruby18-bdb-0.6.6    Ruby interface to Sleepycat's Berkeley DB revision 2 or lat
ruby18-fcgi-0.8.8   FastCGI library for Ruby
ruby18-gems-1.8.11  Package management framework for the Ruby language
ruby18-iconv-1.8.7.358,1 An iconv wrapper class for Ruby
ruby18-mysql-2.8.2_1 Ruby module for accessing MySQL databases with a C API like
rubygem-abstract-1.0.0_1 Define abstract method in Ruby
rubygem-actionmailer-3.2.1 Easy email delivery and testing for Ruby
rubygem-actionpack-3.2.1 Action Controller and Action View of Rails MVC Framework
rubygem-activemodel-3.2.1 A toolkit for building modeling frameworks
rubygem-activerecord-3.2.1 Object-relational mapping layer for Rails MVC Framework
rubygem-activeresource-3.2.1 A coherent wrapper object-relational mapping for REST web s
rubygem-activesupport-3.2.1 Utility classes and extension that are required by Rails MV
rubygem-arel-3.0.0,1 Relational Algebra for Ruby.
rubygem-bcrypt-ruby-3.0.1 Sophisticated and secure hash algorithm for passwords
rubygem-builder-3.0.0 Facilitate programatic generation of XML markup
rubygem-bundler-1.0.22 A tool that manages gem dependencies for ruby applications
rubygem-coffee-rails-3.2.1 Coffee Script adapter for the Rails asset pipeline.
rubygem-coffee-script-2.2.0 Ruby CoffeeScript is a bridge to the JS CoffeeScript compil
rubygem-coffee-script-source-1.2.0 CoffeeScript is a little language that compiles into JavaSc
rubygem-erubis-2.7.0 A fast, secure, and very extensible implementation of eRuby
rubygem-execjs-1.2.13 ExecJS lets you run JavaScript code from Ruby
rubygem-hike-1.2.1  A Ruby library for finding files in a set of paths
rubygem-i18n-0.6.0,2 New wave Internationalization support for Ruby
rubygem-journey-1.0.1 It routes requests.
rubygem-jquery-rails-1.0.19 Provides a rails generator for jquery
rubygem-json-1.6.5  Parse JSON texts and generate them from ruby data structure
rubygem-json_pure-1.6.5 Parse JSON texts and generate them from ruby data structure
rubygem-mail-2.4.1,1 A Ruby email handler
rubygem-mime-types-1.17.2 Ruby gem which provides a mailcap-like MIME Content-Type lo
rubygem-multi_json-1.0.4 Ruby library provide swappable JSON backends
rubygem-passenger-3.0.11 Modules for running Ruby on Rails and Rack applications
rubygem-polyglot-0.3.3 Provides a registry of file types
rubygem-rack-1.4.1,3 Rack, a Ruby Webserver Interface
rubygem-rack-cache-1.1 A piece of rack middleware to enable HTTP caching
rubygem-rack-mount-0.8.3 Stackable dynamic tree based Rack router
rubygem-rack-ssl-1.3.2 Rack middleware to force SSL/TLS
rubygem-rack-test-0.6.1 a small, simple testing API for Rack apps.
rubygem-rails-3.2.1 MVC web application framework
rubygem-railties-3.2.1 Rails internals bootup, plugins, generators, and rake tasks
rubygem-rake-0.9.2.2 Ruby Make
rubygem-rdoc-3.12   RDoc produces HTML and command-line documentation for Ruby
rubygem-sass-3.1.13 Sass is an extension of CSS3
rubygem-sass-rails-3.2.1 Sass adapter for the Rails asset pipeline
rubygem-sprockets-2.1.2 Ruby library that preprocesses and concatenates JavaScript
rubygem-spruz-0.2.13 A small Ruby library of mixed utils/extensions
rubygem-sqlite3-1.3.5 Ruby interface to the SQLite DB engine version 3
rubygem-thor-0.14.6 A scripting framework that replaces rake, sake and rubigen
rubygem-tilt-1.3.3  Generic interface to multiple Ruby template engines
rubygem-treetop-1.4.10 Ruby-based DSL for text parsing and interpretation
rubygem-tzinfo-0.3.31 Daylight-savings aware timezone support for Ruby
rubygem-uglifier-1.2.2 Ruby wrapper for UglifyJS JavaScript compressor

кто нить с таким сталкивался?
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение Raven2000 » 22 апр 2012, 20:43

http://www.freshports.org/www/redmine/
Broken BROKEN: Does not work with RubyGems 1.8
Ignore IGNORE: is marked as broken: Does not work with RubyGems 1.8
Если хочешь разобраться... Так иди и разбирайся!
[ igNix.ru | Технология жизни - технологии будущего ] [ Forum.igNix.ru ]
Аватара пользователя
Raven2000
-=_UNIX_=-
-=_UNIX_=-
 
Сообщения: 680
Зарегистрирован: 14 сен 2010, 13:08
Откуда: Там, где нас нет.
Благодарил (а): 1 раз.
Поблагодарили: 37 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 22 апр 2012, 23:31

Raven2000 писал(а):http://www.freshports.org/www/redmine/
Broken BROKEN: Does not work with RubyGems 1.8
Ignore IGNORE: is marked as broken: Does not work with RubyGems 1.8

и чё это значит? его надо поставить или грохнуть :?
поправил конфиг один чёрт
может кто нибудь объяснить чё делать? xz
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение Raven2000 » 22 апр 2012, 23:41

погодь подправят
Если хочешь разобраться... Так иди и разбирайся!
[ igNix.ru | Технология жизни - технологии будущего ] [ Forum.igNix.ru ]
Аватара пользователя
Raven2000
-=_UNIX_=-
-=_UNIX_=-
 
Сообщения: 680
Зарегистрирован: 14 сен 2010, 13:08
Откуда: Там, где нас нет.
Благодарил (а): 1 раз.
Поблагодарили: 37 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 23 апр 2012, 00:04

закоментил нафик строчку
BROKEN=
вроде пошло :)
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 23 апр 2012, 11:18

Invalid command 'SuexecUserGroup', perhaps misspelled or defined by a module not included in the server configuration
он вообще нужен? или мона и без него?

ЗЫ я суексек ни разу не юзал не было необходимости так что даже не знаю где это pardon
это вообще в апаче? тоесть его пересобирать придётся?
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 23 апр 2012, 11:22

чёто мне выдаёт на всё вот такое:
Код: Выделить всё
rake redmine:load_default_data RAILS_ENV="production"
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:21.
NOTE: Gem::SourceIndex#initialize is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#initialize called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:100.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
Missing these required gems:
  rubytree  >= 0

You're running:
  ruby 1.8.7.358 at /usr/local/bin/ruby18
  rubygems 1.8.11 at /usr/local/lib/ruby/gems/1.8, /root/.gem/ruby/1.8

Run `rake gems:install` to install the missing gems.

чёто мне кажется, что там всё решили переделать причём кардинально :(
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 23 апр 2012, 11:26

Код: Выделить всё
ruby script/server webrick -e production

Код: Выделить всё
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:21.
NOTE: Gem::SourceIndex#initialize is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#initialize called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:100.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
Gem::SourceIndex#add_spec called from /usr/local/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.
=> Booting WEBrick
=> Rails 2.3.14 application starting on http://0.0.0.0:3000
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:78.
NOTE: Gem::SourceIndex#each is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#each called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:123.
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:78.
NOTE: Gem::SourceIndex#each is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#each called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:123.
NOTE: Gem::Specification#installation_path is deprecated, use base_dir. It will be removed on or after 2011-10-01.
Gem::Specification#installation_path called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:93.
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:104.
NOTE: Gem::SourceIndex#search is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#search called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:119.
NOTE: Gem::SourceIndex#search is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#search called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:119.
NOTE: Gem::Specification#installation_path is deprecated, use base_dir. It will be removed on or after 2011-10-01.
Gem::Specification#installation_path called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:93.
NOTE: Gem::Specification#installation_path is deprecated, use base_dir. It will be removed on or after 2011-10-01.
Gem::Specification#installation_path called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:93.
NOTE: Gem::Specification#installation_path is deprecated, use base_dir. It will be removed on or after 2011-10-01.
Gem::Specification#installation_path called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:93.
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:78.
NOTE: Gem::SourceIndex#each is deprecated with no replacement. It will be removed on or after 2011-11-01.
Gem::SourceIndex#each called from /usr/local/www/redmine/config/../vendor/rails/railties/lib/rails/vendor_gem_source_index.rb:123.
Missing these required gems:
  rubytree  >= 0

You're running:
  ruby 1.8.7.358 at /usr/local/bin/ruby18
  rubygems 1.8.11 at /usr/local/lib/ruby/gems/1.8, /root/.gem/ruby/1.8

Run `rake gems:install` to install the missing gems.

;(
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 23 апр 2012, 17:26

Код: Выделить всё
bundle install --without development test

Fetching gem metadata from http://rubygems.org/.......
Using rake (0.9.2.2)
Using activesupport (2.3.14)
Using rack (1.1.3)
Using actionpack (2.3.14)
Using actionmailer (2.3.14)
Using activerecord (2.3.14)
Using activeresource (2.3.14)
Using coderay (1.0.6)
Using fastercsv (1.5.4)
Using i18n (0.4.2)
Using mysql (2.8.1)
Using net-ldap (0.3.1)
Using pg (0.13.2)
Using rails (2.3.14)
Installing rmagick (2.13.1) with native extensions
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

/usr/local/bin/ruby18 extconf.rb
checking for Ruby version >= 1.8.5... yes
checking for cc... yes
checking for Magick-config... no
Can't install RMagick 2.13.1. Can't find Magick-config in /sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin:/scripts

*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/usr/local/bin/ruby18


Gem files will remain installed in /usr/local/lib/ruby/gems/1.8/gems/rmagick-2.13.1 for inspection.
Results logged to /usr/local/lib/ruby/gems/1.8/gems/rmagick-2.13.1/ext/RMagick/gem_make.out
An error occured while installing rmagick (2.13.1), and Bundler cannot continue.
Make sure that `gem install rmagick -v '2.13.1'` succeeds before bundling.
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение Raven2000 » 23 апр 2012, 22:32

=\ без комментариев
Если хочешь разобраться... Так иди и разбирайся!
[ igNix.ru | Технология жизни - технологии будущего ] [ Forum.igNix.ru ]
Аватара пользователя
Raven2000
-=_UNIX_=-
-=_UNIX_=-
 
Сообщения: 680
Зарегистрирован: 14 сен 2010, 13:08
Откуда: Там, где нас нет.
Благодарил (а): 1 раз.
Поблагодарили: 37 раз.

Re: Redmine - управление проектами (Apache)

Непрочитанное сообщение ttys » 24 апр 2012, 08:04

утож как раз этот гем 1,8 diablo
Аватара пользователя
ttys
*BSD
*BSD
 
Сообщения: 189
Зарегистрирован: 15 сен 2010, 08:42
Откуда: Ростов-на-Дону
Благодарил (а): 5 раз.
Поблагодарили: 3 раз.

Пред.

Вернуться в Статьи

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 2

cron